Index: /trunk/src/uvmat.m
===================================================================
--- /trunk/src/uvmat.m	(revision 353)
+++ /trunk/src/uvmat.m	(revision 354)
@@ -4732,7 +4705,11 @@
 %------------------------------------------------------------------------
 series; %first display of the GUI to fill waiting time
-[param.FileName]=read_file_boxes(handles);
+[RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes(handles);
+param.FileName=[fullfile(RootPath,SubDir,RootFile) FileIndices FileExt];
+%[param.FileName]=read_file_boxes(handles);
 if isequal(get(handles.SubField,'Value'),1)
-    FileName_1=read_file_boxes_1(handles);%
+    [RootPath_1,SubDir_1,RootFile_1,FileIndices_1,FileExt_1]=read_file_boxes_1(handles);
+    FileName_1=[fullfile(RootPath_1,SubDir_1,RootFile_1) FileIndices_1 FileExt_1];
+    %FileName_1=read_file_boxes_1(handles);%
     if ~isequal(FileName_1,param.FileName)
         param.FileName_1=FileName_1;
@@ -4774,5 +4751,7 @@
 function MenuPIV_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
- FileName=read_file_boxes(handles);
+ [RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes(handles);
+ FileName=[fullfile(RootPath,SubDir,RootFile) FileIndices FileExt];
+%FileName=read_file_boxes(handles);
 %[FileName,RootPath,filebase,FileIndices,ext,SubDir]=read_file_boxes(handles)
 % num1=stra2num(get(handles.i1,'String'));
